File Explorer (public)
5 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
GET /public/file-explorer/{token}#
GET
/public/file-explorer/{token}ÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
tokenPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/public/file-explorer/{token}"GET /public/file-explorer/{token}/contents#
GET
/public/file-explorer/{token}/contentsÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
tokenPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/public/file-explorer/{token}/contents"GET /public/file-explorer/{token}/download#
GET
/public/file-explorer/{token}/downloadÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
tokenPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/public/file-explorer/{token}/download"GET /public/file-explorer/{token}/preview#
GET
/public/file-explorer/{token}/previewÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
tokenPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/public/file-explorer/{token}/preview"POST /public/file-explorer/{token}/verify#
POST
/public/file-explorer/{token}/verifyÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
tokenPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
passwordPflicht | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/public/file-explorer/{token}/verify" \
-H "Content-Type: application/json" \
-d '{"password":"…"}'